%global realname simplesamlphp

Name:		oso-%{realname}
Version:	1.14.8
Release:	1%{?dist}
Group:		Development/Languages
License:	CC-GNU LGPL version 2.1
URL:		https://simplesamlphp.org/
BuildArch:	noarch
Requires:	php
Summary:	PHP libraries and application for SAML single sign-on

Source0:	https://github.com/%{realname}/%{realname}/releases/download/v%{version}/%{realname}-%{version}.tar.gz

%description
SimpleSAMLphp is an application written in native PHP
that deals with authentication. The main focus of
SimpleSAMLphp is providing support for SAML 2.0 as
a Service Provider (SP) and SAML 2.0 as an
Identity Provider (IdP)

%global debug_package %{nil}

%prep
%setup -q -n %{realname}-%{version}

%build


%install

[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{realname}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{realname}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}

cp -a * $RPM_BUILD_ROOT%{_datadir}/%{realname}
mv $RPM_BUILD_ROOT%{_datadir}/%{realname}/config $RPM_BUILD_ROOT%{_sysconfdir}/%{realname}
mv $RPM_BUILD_ROOT%{_datadir}/%{realname}/metadata $RPM_BUILD_ROOT%{_sysconfdir}/%{realname}/metadata
mv $RPM_BUILD_ROOT%{_datadir}/%{realname}/cert $RPM_BUILD_ROOT%{_sysconfdir}/%{realname}/cert

ln -sf %{_sysconfdir}/%{realname} $RPM_BUILD_ROOT%{_datadir}/%{realname}/config
ln -sf %{_sysconfdir}/%{realname}/metadata $RPM_BUILD_ROOT%{_datadir}/%{realname}/metadata
ln -sf %{_sysconfdir}/%{realname}/etc/simplesamlphp/cert $RPM_BUILD_ROOT%{_datadir}/%{realname}/cert

mv $RPM_BUILD_ROOT%{_datadir}/%{realname}/{LICENSE,CONTRIBUTE.md,docs,COPYING,README.md} $RPM_BUILD_ROOT%{_docdir}/%{realname}

rm -rf $RPM_BUILD_ROOT%{_datadir}/%{realname}/debugfiles.list

%files
%doc %{_docdir}/%{realname}
%config %{_sysconfdir}/%{realname}
%{_datadir}/%{realname}

%changelog
* Thu Oct 13 2015 Joel Smith <joelsmith@fedoraproject.org> - 1.14.8-1
- Initial version
